1. Lnks
Lnk.Bio
  • Getting Started
    • Introduction
    • Endpoints
    • Authorization
    • Private Apps
      • Introduction
      • Create a Private App
      • Generate an Access Token
    • Public Apps
      • Introduction
      • Create a Public App
      • Generate an Access Token
  • API Methods
    • Me
      • Retrieve basic profile info
      • Update profile picture
    • Lnks
      • Retrieve list of current Lnks
        GET
      • Create a new Lnk
        POST
      • Delete an existing Lnk
        POST
      • Edit an existing Lnk
        POST
      • Bulk reorder Lnks
        POST
    • Groups
      • Retrieve list of Lnk Groups
    • Style
      • Get current style
      • Set profile colors
      • Set profile fonts
      • Set profile wallpapers
      • Apply a free theme
      • Reset theme to defaults
      • List available fonts
      • List available free themes
    • Pages
      • List all pages
      • Create a new page
      • Edit an existing page
      • Reorder pages
      • Delete a page
    • Blocks
      • Icons
        • Add an icon to a BLOCK_ICONS block
        • Edit an icon in a BLOCK_ICONS block
        • Search available icons
        • Delete an icon from a BLOCK_ICONS block
        • Sort icons within a BLOCK_ICONS block
        • List icons in an Icons block
      • Forms
        • List available forms
      • List blocks in a page
      • List supported block types
      • Add a block to a page
      • Delete a block from a page
      • Reorder blocks in a page
  • Schemas
    • Lnk
    • SuccessResponse
    • PageSummary
    • StyleData
    • BlockSummary
    • Font
    • FormSummary
    • ThemeSummary
    • BlockType
    • IconSummary
  1. Lnks

Create a new Lnk

POST
https://lnk.bio/oauth/v1/lnk/add
Publish a new Lnk on your public Lnk.Bio profile. The Lnk is immediately posted and will appear on top of any existing Lnk.

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://lnk.bio/manage/access
Token URL: https://lnk.bio/oauth/token
or
Body Params application/x-www-form-urlencodedRequired

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://lnk.bio/oauth/v1/lnk/add' \
--data-urlencode 'title=The title of my link' \
--data-urlencode 'link=https://lnk.bio/linkin' \
--data-urlencode 'image=https://cdn.lnk.bi/profilepics/-1302888_20220601196.png' \
--data-urlencode 'group_id=12345678' \
--data-urlencode 'schedule_from=2026-06-01T09:00:00+02:00' \
--data-urlencode 'schedule_to=2026-06-30T23:59:59+02:00' \
--data-urlencode 'position=3'

Responses

🟢200Confirmation of the new Lnk creation
application/json
Lnk created successfully
Body

Example
{
    "status": true,
    "errors": [
        "string"
    ],
    "data": {
        "id": 12345,
        "url": "https://lnk.bio/username"
    }
}
🟠400Not authenticated
🟠401Unauthorized
Modified at 2026-04-11 09:05:44
Previous
Retrieve list of current Lnks
Next
Delete an existing Lnk
Built with